#ifndef MDK_ARM_CPP_FI_H
#define MDK_ARM_CPP_FI_H

/* intrinsics */
void *__builtin_alloca(unsigned int);
int __builtin_popcountll(unsigned long long);
unsigned char __clz(unsigned int);
int __is_constrange(int, int, int);
void __promise(int);
int __disable_fiq(void);
int __disable_irq(void);
void __enable_fiq(void);
void __enable_irq(void);
void __nop(void);
unsigned int __rev(unsigned int);
unsigned int __ror(unsigned int, unsigned int);
unsigned int __current_sp(void);

#define __NO_EMBEDDED_ASM

#else
#error "Multiple include"
#endif  /* ifndef MDK_ARM_CPP_FI_H */
